Loading...
Searching...
No Matches
gtsam::SubgraphBuilderParameters Struct Reference

## Public Member Functions

void | print () const
virtual void | print (std::ostream &os) const

## Static Public Member Functions

static Skeleton | skeletonTranslator (const std::string &s)
static std::string | skeletonTranslator (Skeleton s)
static SkeletonWeight | skeletonWeightTranslator (const std::string &s)
static std::string | skeletonWeightTranslator (SkeletonWeight w)
static AugmentationWeight | augmentationWeightTranslator (const std::string &s)
static std::string | augmentationWeightTranslator (AugmentationWeight w)

## Public Attributes

enum gtsam::SubgraphBuilderParameters::Skeleton | skeletonType
enum gtsam::SubgraphBuilderParameters::SkeletonWeight | skeletonWeight
enum gtsam::SubgraphBuilderParameters::AugmentationWeight | augmentationWeight
double | augmentationFactor
| factor multiplied with n, yields number of extra edges.

## Public Types

enum | Skeleton { NATURALCHAIN = 0 , BFS , KRUSKAL }
enum | SkeletonWeight { EQUAL = 0 , RHS_2NORM , LHS_FNORM , RANDOM }
enum | AugmentationWeight { SKELETON = 0 }
typedef boost::shared_ptr< SubgraphBuilderParameters > | shared_ptr

## Friends

std::ostream & | operator<< (std::ostream &os, const PreconditionerParameters &p)

The documentation for this struct was generated from the following files:

- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/linear/SubgraphBuilder.h
- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/linear/SubgraphBuilder.cpp